org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<GridNearTxPrepareResponse>
      - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<GridNearTxPrepareResponse>

Enclosing class:
  GridNearOptimisticTxPrepareFutureAdapter

    protected static class GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture
    extends GridFutureAdapter<GridNearTxPrepareResponse>

Keys lock future.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Constructor Summary

Constructors
`protected` `GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture()`

### Method Summary

Methods
`protected void` `addLockKey(IgniteTxKey key)`
`protected void` `onAllKeysAdded()` Moves future to the ready state.
`protected void` `onKeyLocked(IgniteTxKey key)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, duration, endTime, error, get, get, get, get0, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture

    protected GridNearOptimisticTxPrepareFutureAdapter.KeyLockFuture()

### Method Detail

#### addLockKey

    protected void addLockKey(IgniteTxKey key)

Parameters:
  `key` - Key to track for locking.

#### onKeyLocked

    protected void onKeyLocked(IgniteTxKey key)

Parameters:
  `key` - Locked keys.

#### onAllKeysAdded

    protected void onAllKeysAdded()

Moves future to the ready state.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<GridNearTxPrepareResponse>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015